#
# spec file for package mtools (Version 3.9.10)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd latex-ucs less libacl libattr libcom_err libgcc libnscd libpng libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd te_ams te_latex tetex texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           mtools
BuildRequires:  libpng te_ams te_latex xorg-x11 xorg-x11-devel
Version:        3.9.10
Release:        16.2
Autoreqprov:    on
Group:          System/Filesystems
License:        GPL
URL:            http://www.tux.org/pub/knaff/mtools/index.html
Summary:        Access Files on an MS-DOS File System
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-conf.diff
Patch1:         %{name}-%{version}-autoconf.diff
Patch2:         %{name}-%{version}-script.diff
Patch3:         %{name}-%{version}-aliasing.diff
Patch4:         %{name}-%{version}-fat-bits.diff
Patch5:         %{name}-%{version}-prototypes.diff
Patch6:         %{name}-%{version}-memset.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%debug_package
%package floppyd
Group:          System/Filesystems
Summary:        floppy daemon for remote access to floppy drive

%description
Mtools allows uncomplicated access to an MS-DOS file system on disk
without mounting it. It includes commands for working with MS-DOS
files: mdir, mcd, mcopy, and mformat.

XDF support for OS/2 is also provided.



Authors:
--------
    Alain Knaff 	<Alain.Knaff@imag.fr>
    David C. Niemi	<niemidc@erols.com>


%description floppyd
Floppyd is used as a server to grant access  to  the  floppy  drive  to
clients  running on a remote machine, just as an X server grants access
to the display to remote clients.



Authors:
--------
    Alain Knaff 	<Alain.Knaff@imag.fr>
    David C. Niemi	<niemidc@erols.com>

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6

%build
%{suse_update_config -f}
autoconf --force
CC=gcc INSTALL_PROGRAM="install" CFLAGS="$RPM_OPT_FLAGS" \
./configure \
--build=%{_target_cpu}-suse-linux \
--prefix=%{_prefix} \
--sysconfdir=%{_sysconfdir} \
--mandir=%{_mandir} \
--infodir=%{_infodir} \
--includedir=/usr/src/linux/include 
make all dvi info

%install
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}
make install DESTDIR=$RPM_BUILD_ROOT
cp -p mtools.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config %{_sysconfdir}/mtools.conf
%doc *.dvi Release.notes Changelog COPYING README*
%doc %{_mandir}/man?*/[a-eg-z]*
%doc %{_infodir}/mtools.info*
%{_bindir}/[a-eg-z]*

%files floppyd
%defattr(-,root,root)
%doc %{_mandir}/man?*/f*
%{_bindir}/f*

%changelog -n mtools
* Mon Feb 06 2006 - mjancar@suse.cz
- bransh mtools-floppy to prevent dependecy on X11 (#146102)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Nov 18 2005 - meissner@suse.de
- fixed swapped memset() arguments.
* Wed Aug 03 2005 - mjancar@suse.cz
- update to 3.9.10
- drop obsolete patches:
  * mtools-3.9.9-20030718.diff.gz
  * mtools-execNULL.diff
- split mtools-3.9.9.diff into:
  * mtools-3.9.10-autoconf.diff
  * mtools-3.9.10-conf.diff
  * mtools-3.9.10-prototypes.diff
* Tue Apr 05 2005 - mmj@suse.de
- execl(..., 0) --> execl(..., NULL);
* Sun Feb 13 2005 - ro@suse.de
- added libpng to nfb (for tetex)
* Mon Jan 24 2005 - meissner@suse.de
- fixed one execl call, fixed one lvalue cast.
* Sun Jun 13 2004 - schwab@suse.de
- Allow overriding fat bits.
* Thu Apr 22 2004 - tcrhak@suse.cz
- strict aliasing fix
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Thu Jul 31 2003 - uli@suse.de
- fixed to build on 64-bit archs
* Tue Jul 29 2003 - tcrhak@suse.cz
- update to version 3.9.9
* Thu Dec 19 2002 - tcrhak@suse.cz
- updated patch to mtools-3.9.8-20021118.diff.bz2
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Mon Dec 03 2001 - tcrhak@suse.cz
- updated patch to mtools-3.9.8-20011127.diff.bz2
* Mon Oct 01 2001 - schwab@suse.de
- Fix quoting in shell scripts.
* Wed Jun 13 2001 - adostal@suse.cz
- upgrade to 3.9.8
* Tue Jun 12 2001 - schwab@suse.de
- Fix configure script.
* Tue Apr 03 2001 - cihlar@suse.cz
- updated patchkit
* Mon Mar 26 2001 - cihlar@suse.cz
- updated patchkit
* Fri Feb 09 2001 - cihlar@suse.cz
- removed lx_suse from neededforbuild
- do not include kernel headers
* Thu Feb 08 2001 - cihlar@suse.cz
- fixed to compile
* Tue Jan 09 2001 - cihlar@suse.cz
- updated patchkit
* Tue Dec 05 2000 - cihlar@suse.cz
- updated patchkit
* Wed Nov 22 2000 - cihlar@suse.cz
- updated patchkit
* Thu Nov 09 2000 - cihlar@suse.cz
- improved BuildRoot
- fixed file list
- bzipped sources
* Fri Oct 20 2000 - cihlar@suse.cz
- updated patchkit
* Fri Sep 08 2000 - schwab@suse.de
- Fix typo in configure script and pass -D_GNU_SOURCE to compiler
  (obsoletes last change for alpha)
- Add suse_update_config.
* Mon Aug 28 2000 - ro@suse.de
- fixed to compile on alpha
* Wed Aug 16 2000 - cihlar@suse.cz
- updated patchkit
* Sat Jun 24 2000 - kasal@suse.de
- updated patchkit
* Mon Jun 19 2000 - kasal@suse.de
- upgrade to 3.9.7
* Wed Apr 26 2000 - kasal@suse.de
- upgrade to mtools-3.9.6-20000417.diff.gz
* Wed Apr 12 2000 - kasal@suse.cz
- upgrade to mtools-3.9.6-20000410.diff.gz
* Mon Mar 27 2000 - kasal@suse.cz
- added patch mtools-3.9.6-20000320b.diff.gz (fixes BUG# 2590)
* Wed Mar 01 2000 - kasal@suse.de
- moved manpages to %%{_mandir}
- added buildroot and shortened %%filelist
- added mtools.info* files (and texinfo to #neededforbuild)
* Mon Sep 20 1999 - uli@suse.de
- fixed #include conflict showing up on PPC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jul 09 1999 - uli@suse.de
- update -> 3.9.6
* Tue Mar 23 1999 - ro@suse.de
- don't use -O4 ; strip binaries
* Tue Mar 23 1999 - ro@suse.de
- update to 3.9.4
* Fri Dec 11 1998 - rj@suse.de
- parameters in mtools.conf for 1,44MB disks hardcoded
* Thu Oct 29 1998 - ro@suse.de
- respect change in 2.1.126 SCSI_DISK_MAJOR
* Sun Jul 26 1998 - bs@suse.de
- used old config file again.
* Tue Jul 21 1998 - bs@suse.de
- update to version 3.9.1
* Tue Feb 24 1998 - ro@suse.de
- removed man-pages mread and mwrite
  (contain no information, just texinfos blabla)
* Thu Jun 12 1997 - rj@suse.de
- modification in /etc/mtools.conf
* Fri Apr 18 1997 - rj@suse.de
- new version 3.6
* Mon Mar 03 1997 - rj@suse.de
- new version 3.3
* Tue Feb 25 1997 - rj@suse.de
- new version 3.2
- /usr/doc/packages/mtools now included
- xdf Support
